Bug 1196736 - eclipse gui white-unreadable text - changing colors too
Summary: eclipse gui white-unreadable text - changing colors too
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 22
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-26 16:00 UTC by lejeczek
Modified: 2016-03-16 01:49 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-03-16 01:24:19 UTC


Attachments (Terms of Use)
snapshot of white text (45.02 KB, image/png)
2015-02-26 16:00 UTC, lejeczek
no flags Details

Description lejeczek 2015-02-26 16:00:14 UTC
Created attachment 995677 [details]
snapshot of white text

Description of problem:

please take a look a the attached snap, I'd happy it says more than if I tried to explain.
Also, the yellow background of the second windows changes to black, is yellow only the first time is invoked, every subsequent invocation is black.

The white text is most troublesome as you cannot see what is says, row that gets focus changes to white text.
I thought it was configurable somewhere but failed to find settings if there are any.

Version-Release number of selected component (if applicable):

eclipse-emf-runtime-2.10.1-3.fc22.noarch
eclipse-xsd-2.10.1-3.fc22.noarch
eclipse-pdt-3.3.1-5.fc22.noarch
eclipse-equinox-osgi-4.4.1-17.fc22.x86_64
eclipse-pde-4.4.1-17.fc22.x86_64
eclipse-gef-3.9.101-3.fc22.noarch
eclipse-subclipse-1.10.5-2.fc22.noarch
eclipse-jdt-4.4.1-17.fc22.x86_64
eclipse-webtools-common-core-3.6.2-1.fc22.noarch
eclipse-dltk-5.1.0-6.fc22.noarch
eclipse-webtools-sourceediting-3.6.2-1.fc22.noarch
eclipse-rse-3.6.0-4.fc22.noarch
eclipse-platform-4.4.1-17.fc22.x86_64
eclipse-webtools-servertools-core-3.6.2-1.fc22.noarch
eclipse-webtools-common-3.6.2-1.fc22.noarch
eclipse-filesystem-1.0-3.fc22.x86_64
eclipse-dltk-rse-5.1.0-6.fc22.noarch
eclipse-swt-4.4.1-17.fc22.x86_64
eclipse-subclipse-graph-1.10.5-2.fc22.noarch
eclipse-emf-core-2.10.1-3.fc22.x86_64
eclipse-mylyn-3.14.2-1.fc22.noarch
eclipse-webtools-servertools-3.6.2-1.fc22.noarch
eclipse-dltk-mylyn-5.1.0-6.fc22.noarch
eclipse-ecf-core-3.9.2-2.fc22.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Mat Booth 2015-03-13 18:00:48 UTC
You can probably work around this for now by switching eclipse to use GTK2 (on F22+ GTK3 is the default)

F22 will probably eventually get Eclipse Mars (4.5) which will have much better GTK3 support.

Comment 2 Mat Booth 2015-03-13 18:02:07 UTC
Moving to "eclipse" component as this is not specific to PDT.

Comment 3 Fedora Update System 2016-03-05 09:03:34 UTC
ecj-4.5.2-1.fc23 eclipse-4.5.2-4.fc23 eclipse-ecf-3.12.2-1.fc23 eclipse-emf-2.11.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-159206ccc7

Comment 4 Fedora Update System 2016-03-05 09:03:41 UTC
ecj-4.5.2-1.fc23 eclipse-4.5.2-4.fc23 eclipse-ecf-3.12.2-1.fc23 eclipse-emf-2.11.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-159206ccc7

Comment 5 Fedora Update System 2016-03-05 09:07:56 UTC
ecj-4.5.2-1.fc22 eclipse-4.5.2-4.fc22 eclipse-ecf-3.12.2-1.fc22 eclipse-emf-2.11.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f0fa74218b

Comment 6 Fedora Update System 2016-03-05 09:08:03 UTC
ecj-4.5.2-1.fc22 eclipse-4.5.2-4.fc22 eclipse-ecf-3.12.2-1.fc22 eclipse-emf-2.11.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f0fa74218b

Comment 7 Fedora Update System 2016-03-06 02:55:16 UTC
ecj-4.5.2-1.fc22, eclipse-4.5.2-4.fc22, eclipse-ecf-3.12.2-1.fc22, eclipse-emf-2.11.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f0fa74218b

Comment 8 Fedora Update System 2016-03-06 02:57:28 UTC
ecj-4.5.2-1.fc23, eclipse-4.5.2-4.fc23, eclipse-ecf-3.12.2-1.fc23, eclipse-emf-2.11.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-159206ccc7

Comment 9 Fedora Update System 2016-03-16 01:24:16 UTC
ecj-4.5.2-1.fc23, eclipse-4.5.2-4.fc23, eclipse-ecf-3.12.2-1.fc23, eclipse-emf-2.11.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-03-16 01:49:23 UTC
ecj-4.5.2-1.fc22, eclipse-4.5.2-4.fc22, eclipse-ecf-3.12.2-1.fc22, eclipse-emf-2.11.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.